> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Close Workbook Overview



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json get /admin_api/close_workbooks/workbook_overview
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /admin_api/close_workbooks/workbook_overview:
    get:
      tags:
        - close_workbooks_admin
        - quanta-services-api
      summary: Get Close Workbook Overview
      operationId: get_close_workbook_overview
      parameters:
        - name: period_qid
          in: query
          required: true
          schema:
            type: string
            title: Period Qid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CloseWorkbookOverviewResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CloseWorkbookOverviewResponse:
      properties:
        period_qid:
          type: string
          title: Period Qid
        period_key:
          type: string
          title: Period Key
        period_name:
          type: string
          title: Period Name
        period_start_date:
          type: string
          format: date
          title: Period Start Date
        period_end_date:
          type: string
          format: date
          title: Period End Date
        accounts:
          items:
            $ref: '#/components/schemas/CloseWorkbookAccountOverview'
          type: array
          title: Accounts
      type: object
      required:
        - period_qid
        - period_key
        - period_name
        - period_start_date
        - period_end_date
        - accounts
      title: CloseWorkbookOverviewResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CloseWorkbookAccountOverview:
      properties:
        account_qid:
          type: string
          title: Account Qid
        account_name:
          type: string
          title: Account Name
        account_type:
          $ref: '#/components/schemas/AccountType'
        reconciliation_method:
          type: string
          title: Reconciliation Method
        gl_balance:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Gl Balance
        source_balance:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Source Balance
        variance:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Variance
        reconciled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Reconciled
        statement_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Statement Link
        note:
          anyOf:
            - type: string
            - type: 'null'
          title: Note
        note_published:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Note Published
      type: object
      required:
        - account_qid
        - account_name
        - account_type
        - reconciliation_method
        - gl_balance
        - source_balance
        - variance
        - reconciled
        - statement_link
        - note
        - note_published
      title: CloseWorkbookAccountOverview
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AccountType:
      type: string
      enum:
        - ACCOUNTS_RECEIVABLE
        - BANK
        - FIXED_ASSET
        - OTHER_ASSET
        - OTHER_CURRENT_ASSET
        - ACCOUNTS_PAYABLE
        - CREDIT_CARD
        - OTHER_CURRENT_LIABILITY
        - LONG_TERM_LIABILITY
        - EQUITY
        - INCOME
        - OTHER_INCOME
        - COST_OF_GOODS_SOLD
        - EXPENSE
        - OTHER_EXPENSE
      title: AccountType
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.